security/polkit - The NetBSD Packages Collection

Authorization Manager

PolicyKit is a toolkit for defining and handling authorizations.  It
is used for allowing unprivileged processes to speak to privileged
processes.

Build dependencies

devel/gobject-introspection devel/gobject-introspection devel/gettext-m4 devel/gettext-tools textproc/libxslt textproc/docbook-xsl textproc/gtk-doc devel/glib2-tools devel/libtool-base devel/automake devel/autoconf textproc/intltool devel/gmake devel/gettext-tools lang/perl5 devel/pkgconf pkgtools/cwrappers

Runtime dependencies

lang/libduktape devel/glib2 devel/glib2

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfpolkit-0.119nb1.tgz
NetBSD 8.0i386polkit-0.120nb2.tgz
NetBSD 8.0powerpcpolkit-0.119nb1.tgz
NetBSD 8.0powerpcpolkit-0.120nb1.tgz
NetBSD 8.0powerpcpolkit-0.120nb2.tgz
NetBSD 8.0powerpcpolkit-0.120nb1.tgz
NetBSD 8.0powerpcpolkit-0.120nb2.tgz
NetBSD 8.0x86_64polkit-0.120nb2.tgz
NetBSD 8.0x86_64polkit-0.118nb1.tgz
NetBSD 9.0aarch64polkit-0.120nb2.tgz
NetBSD 9.0aarch64polkit-0.120nb2.tgz
NetBSD 9.0alphapolkit-0.120nb1.tgz
NetBSD 9.0alphapolkit-0.120nb2.tgz
NetBSD 9.0alphapolkit-0.120nb2.tgz
NetBSD 9.0earmpolkit-0.120nb1.tgz
NetBSD 9.0earmpolkit-0.120nb2.tgz
NetBSD 9.0earmv6hfpolkit-0.119nb1.tgz
NetBSD 9.0earmv6hfpolkit-0.120nb2.tgz
NetBSD 9.0earmv6hfpolkit-0.120nb2.tgz
NetBSD 9.0earmv7hfpolkit-0.119nb1.tgz
NetBSD 9.0earmv7hfpolkit-0.119nb1.tgz
NetBSD 9.0earmv7hfpolkit-0.120nb2.tgz
NetBSD 9.0earmv7hfpolkit-0.120nb2.tgz
NetBSD 9.0i386polkit-0.120nb2.tgz
NetBSD 9.0i386polkit-0.120nb1.tgz
NetBSD 9.0i386polkit-0.120nb2.tgz
NetBSD 9.0m68kpolkit-0.120nb1.tgz
NetBSD 9.0m68kpolkit-0.120nb2.tgz
NetBSD 9.0mips64ebpolkit-0.120nb1.tgz
NetBSD 9.0mipselpolkit-0.119nb1.tgz
NetBSD 9.0mipselpolkit-0.120nb1.tgz
NetBSD 9.0mipselpolkit-0.120nb2.tgz
NetBSD 9.0powerpcpolkit-0.120nb1.tgz
NetBSD 9.0powerpcpolkit-0.119nb1.tgz
NetBSD 9.0powerpcpolkit-0.119nb1.tgz
NetBSD 9.0powerpcpolkit-0.120nb1.tgz
NetBSD 9.0sh3elpolkit-0.120nb1.tgz
NetBSD 9.0sh3elpolkit-0.120nb2.tgz
NetBSD 9.0sparc64polkit-0.120nb1.tgz
NetBSD 9.0sparc64polkit-0.120nb2.tgz
NetBSD 9.0sparc64polkit-0.120nb2.tgz
NetBSD 9.0sparcpolkit-0.119nb1.tgz
NetBSD 9.0x86_64polkit-0.120nb2.tgz
NetBSD 9.0x86_64polkit-0.120nb3.tgz
NetBSD 9.0x86_64polkit-0.120nb2.tgz
NetBSD 9.0x86_64polkit-0.120nb1.tgz
NetBSD 9.0x86_64polkit-0.120nb2.tgz
NetBSD 9.0x86_64polkit-0.120nb1.tgz
NetBSD 9.0x86_64polkit-0.120nb2.tgz
NetBSD 9.0x86_64polkit-0.120nb2.tgz
NetBSD 9.99.96aarch64ebpolkit-0.120nb2.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

pam
Enable PAM support.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.